import request from '@/utils/request'

// 查询举报记录列表
export function listReport(query) {
  return request({
    url: '/busi/report/list',
    method: 'get',
    params: query
  })
}

// 查询举报记录详细
export function getReport(id) {
  return request({
    url: '/busi/report/' + id,
    method: 'get'
  })
}

// 新增举报记录
export function addReport(data) {
  return request({
    url: '/busi/report',
    method: 'post',
    data: data
  })
}

// 修改举报记录
export function updateReport(data) {
  return request({
    url: '/busi/report',
    method: 'put',
    data: data
  })
}

// 删除举报记录
export function delReport(id) {
  return request({
    url: '/busi/report/' + id,
    method: 'delete'
  })
}
